using System;
namespace OpenMVCRM.Entities
{
    public class Address
    {
        public int AddressID { set; get; }
        public DateTime ModifiedDate { set; get; }
        public DateTime CreatedDate { set; get; }
        public string AddressLine1 { set; get; }
        public string AddressLine2 { set; get; }
        public string City { set; get; }
        public string ZipCode { set; get; }
        public int StateID { set; get; }
        public int CountryID { set; get; }

        public virtual Country Country { set; get; }
        public virtual State State { set; get; }
        public int OwnerID { set; get; }

        public Address()
        {
            if (State == null)
                State = new State();

            if (Country == null)
                Country = new Country();
        }
    }
}
