using System;
using System.Collections.Generic;
using System.Linq;
using System.ComponentModel.DataAnnotations;
using OpenMVCRM.Entities;

namespace OpenMVCRM.ViewModels
{
    public class ContactPersonViewModel
    {
        public int ID { set; get; }
        public string FirstName { set; get; }
        public string LastName { set; get; }

        public int ParentOrganizationID { set; get; }

        [Display(Name = "Comapny Name")]
        public string ParentOrganizationName { set; get; }

        [Display(Name = "Job Title")]
        public string JobTitle { set; get; }

        public string Department { set; get; }

        public string HomePhone { set; get; }
        public string MobilePhone { set; get; }
        public string EmailAddress { set; get; }

    }
}
